--
-- Migrate GH Tester database from schema version 1.9.24.d to 1.9.24.e
--

DECLARE 
  required_version VARCHAR2(100);
  current_version VARCHAR2(100);
  index_not_exists EXCEPTION;
BEGIN
  SELECT '1.9.24.d' INTO required_version FROM dual;
  SELECT value INTO current_version FROM db_details 
    WHERE property='schema.version.number' 
    AND ctime = (
      SELECT MAX(ctime) FROM db_details WHERE property='schema.version.number' 
    );
    
   IF current_version != required_version THEN
     RAISE_APPLICATION_ERROR( -20001, 
                             'Incorrect schema version: ' || current_version  ||
                             ', expected: ' || required_version );
                             
   ELSE
-- 
-- Update Script here
--

INSERT INTO db_details VALUES
   ( (SELECT sysdate FROM dual), 'schema.version.number','1.9.24.e');

commit;

   END IF; -- version check
END;
/